import 'package:equatable/equatable.dart';

abstract class WallSensorEvent extends Equatable {
  const WallSensorEvent();

  @override
  List<Object> get props => [];
}

class WallSensorInitialEvent extends WallSensorEvent {}

class WallSensorChangeValueEvent extends WallSensorEvent {
  final int value;
  final String code;
  const WallSensorChangeValueEvent({required this.value, required this.code});

  @override
  List<Object> get props => [value, code];
}
